export enum ResourceStatus {
  /**
   * 已驳回
   */
  Reject = -10,
  /**
   * 未提交
   */
  Draft = 10,
  /**
   * 待审核
   */
  WaitAudit = 20,
  /**
   * 进行中
   */
  Running = 30,
  /**
   * 已下架
   */
  OffShelf = 40,
  /**
   * 系统下架
   */
  SystemOffShelf = 50,
}

export const ResourceStatusText = {
  [ResourceStatus.Reject]: '已驳回',
  [ResourceStatus.Draft]: '未提交',
  [ResourceStatus.WaitAudit]: '待审核',
  [ResourceStatus.Running]: '发布中',
  [ResourceStatus.OffShelf]: '已停止',
  [ResourceStatus.SystemOffShelf]: '系统下架',
};

export const ResourceStatusTextMap = {
  [ResourceStatus.Running]: '发布中',
  [ResourceStatus.WaitAudit]: '待审核',
  [ResourceStatus.Reject]: '已驳回',
  [ResourceStatus.OffShelf]: '已停止',
  // [ResourceStatus.SystemOffShelf, '系统下架'],
  // [ResourceStatus.Draft, '未提交'],
};

export const ResourceStatusTextTag = {
  [ResourceStatus.Reject]: 'danger',
  [ResourceStatus.Draft]: 'warning',
  [ResourceStatus.WaitAudit]: 'warning',
  [ResourceStatus.Running]: 'success',
  [ResourceStatus.OffShelf]: 'danger',
  [ResourceStatus.SystemOffShelf]: 'danger',
};

export enum ResourceOperateBtnStatus {
  Add = 1,
  Edit,
  Copy,
}
